/************************************************************************
*       Include file for User Defined Functions and Actions             *
************************************************************************/
 
/* ops5 internal datatypes */
 
typedef int *RSULTP;            /* ops5 result type */
typedef int *SCBP;              /* ops5 file type */
 
/* ops5 code interface functions */
 
extern RSULTP o_parameter();    /* (n) int n; */
extern o_pcount();
extern o_assert();
extern o_tab();                 /* (n) int n; */
extern o_value();               /* (atm) RSULTP atm; */
extern o_reset();
extern SCBP o_ifile();          /* (sym) RSULTP sym; */
extern SCBP o_ofile();          /* (sym) RSULTP sym; */
extern o_litbind();             /* (sym) RSULTP sym; */
extern o_eql();                 /* (v1,v2) RSULTP v1,v2; */
extern o_symbol();              /* (atm) RSULTP atm; */
extern RSULTP o_intern();       /* (str) char *str; */
extern RSULTP o_cvna();         /* (num) int num; */
extern RSULTP o_cvfa();         /* (num) double num; */
extern long o_cvan();           /* (atm) RSULTP atm; */
extern double o_cvaf();         /* (atm) RSULTP atm; */
extern s_printf();              /* (stream,ctrlstring,args..) */
extern char *o_pname(); 	/* print names for a symbolic atom */

extern udeffn();                /* (name,func) char *name; fun func; */
extern udefact();               /* (name,func) char *name; fun func; */
 
/***********************************************************************/
 
